declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<import("../../types/flow").Elements<any, any>>;
    };
    nodes: {
        type: import("vue").PropType<import("../..").Node<any>[]>;
    };
    edges: {
        type: import("vue").PropType<import("../..").Edge<any>[]>;
    };
    id: {
        type: import("vue").PropType<string>;
    };
    connectionMode: {
        type: import("vue").PropType<import("../..").ConnectionMode>;
    };
    connectionLineType: {
        type: import("vue").PropType<import("../..").ConnectionLineType>;
    };
    connectionLineStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    deleteKeyCode: {
        type: import("vue").PropType<import("../..").KeyCode>;
    };
    selectionKeyCode: {
        type: import("vue").PropType<import("../..").KeyCode>;
    };
    multiSelectionKeyCode: {
        type: import("vue").PropType<import("../..").KeyCode>;
    };
    zoomActivationKeyCode: {
        type: import("vue").PropType<import("../..").KeyCode>;
    };
    snapToGrid: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    snapGrid: {
        type: import("vue").PropType<import("../../types/flow").SnapGrid>;
    };
    onlyRenderVisibleElements: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    edgesUpdatable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    nodesDraggable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    selectNodesOnDrag: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    paneMovable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    defaultZoom: {
        type: import("vue").PropType<number>;
    };
    defaultPosition: {
        type: import("vue").PropType<[number, number]>;
    };
    translateExtent: {
        type: import("vue").PropType<import("../..").CoordinateExtent>;
    };
    nodeExtent: {
        type: import("vue").PropType<import("../..").CoordinateExtent>;
    };
    defaultMarkerColor: {
        type: import("vue").PropType<string>;
    };
    zoomOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    zoomOnPinch: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    panOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    panOnScrollSpeed: {
        type: import("vue").PropType<number>;
    };
    panOnScrollMode: {
        type: import("vue").PropType<import("../..").PanOnScrollMode>;
    };
    zoomOnDoubleClick: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    preventScrolling: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number>;
    };
    fitViewOnInit: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
    applyDefault: {
        type: import("vue").PropType<boolean>;
    } & {
        default: undefined;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    modelValue?: unknown;
    nodes?: unknown;
    edges?: unknown;
    id?: unknown;
    connectionMode?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    deleteKeyCode?: unknown;
    selectionKeyCode?: unknown;
    multiSelectionKeyCode?: unknown;
    zoomActivationKeyCode?: unknown;
    snapToGrid?: unknown;
    snapGrid?: unknown;
    onlyRenderVisibleElements?: unknown;
    edgesUpdatable?: unknown;
    nodesDraggable?: unknown;
    nodesConnectable?: unknown;
    elementsSelectable?: unknown;
    selectNodesOnDrag?: unknown;
    paneMovable?: unknown;
    minZoom?: unknown;
    maxZoom?: unknown;
    defaultZoom?: unknown;
    defaultPosition?: unknown;
    translateExtent?: unknown;
    nodeExtent?: unknown;
    defaultMarkerColor?: unknown;
    zoomOnScroll?: unknown;
    zoomOnPinch?: unknown;
    panOnScroll?: unknown;
    panOnScrollSpeed?: unknown;
    panOnScrollMode?: unknown;
    zoomOnDoubleClick?: unknown;
    preventScrolling?: unknown;
    edgeUpdaterRadius?: unknown;
    fitViewOnInit?: unknown;
    applyDefault?: unknown;
} & {} & {
    id?: string | undefined;
    nodes?: import("../..").Node<any>[] | undefined;
    modelValue?: import("../../types/flow").Elements<any, any> | undefined;
    edges?: import("../..").Edge<any>[] | undefined;
    connectionMode?: import("../..").ConnectionMode | undefined;
    connectionLineType?: import("../..").ConnectionLineType | undefined;
    connectionLineStyle?: import("vue").CSSProperties | undefined;
    deleteKeyCode?: import("../..").KeyCode | undefined;
    selectionKeyCode?: import("../..").KeyCode | undefined;
    multiSelectionKeyCode?: import("../..").KeyCode | undefined;
    zoomActivationKeyCode?: import("../..").KeyCode | undefined;
    snapToGrid?: boolean | undefined;
    snapGrid?: import("../../types/flow").SnapGrid | undefined;
    onlyRenderVisibleElements?: boolean | undefined;
    edgesUpdatable?: boolean | undefined;
    nodesDraggable?: boolean | undefined;
    nodesConnectable?: boolean | undefined;
    elementsSelectable?: boolean | undefined;
    selectNodesOnDrag?: boolean | undefined;
    paneMovable?: boolean | undefined;
    minZoom?: number | undefined;
    maxZoom?: number | undefined;
    defaultZoom?: number | undefined;
    defaultPosition?: [number, number] | undefined;
    translateExtent?: import("../..").CoordinateExtent | undefined;
    nodeExtent?: import("../..").CoordinateExtent | undefined;
    defaultMarkerColor?: string | undefined;
    zoomOnScroll?: boolean | undefined;
    zoomOnPinch?: boolean | undefined;
    panOnScroll?: boolean | undefined;
    panOnScrollSpeed?: number | undefined;
    panOnScrollMode?: import("../..").PanOnScrollMode | undefined;
    zoomOnDoubleClick?: boolean | undefined;
    preventScrolling?: boolean | undefined;
    edgeUpdaterRadius?: number | undefined;
    fitViewOnInit?: boolean | undefined;
    applyDefault?: boolean | undefined;
}> & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    snapToGrid: boolean;
    onlyRenderVisibleElements: boolean;
    edgesUpdatable: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    paneMovable: boolean;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    fitViewOnInit: boolean;
    applyDefault: boolean;
}>;
export default _default;
