import { Position } from '../../types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
        required: true;
    };
    dimensions: {
        type: import("vue").PropType<import("../../types").Dimensions>;
        required: true;
    };
    handleBounds: {
        type: import("vue").PropType<import("../../types").HandleBounds>;
        required: true;
    };
    computedPosition: {
        type: import("vue").PropType<import("../../types").XYZPosition>;
        required: true;
    };
    position: {
        type: import("vue").PropType<import("../../types").XYPosition>;
        required: true;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    selectable: {
        type: import("vue").PropType<boolean>;
    };
    connectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    label: {
        type: import("vue").PropType<string | {
            props?: any;
            component: any;
        }>;
    };
    class: {
        type: import("vue").PropType<string>;
    };
    style: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    hidden: {
        type: import("vue").PropType<boolean>;
    };
    type: {
        type: import("vue").PropType<string>;
    };
    data: {
        type: import("vue").PropType<any>;
    } & {
        default: () => void;
    };
    selected: {
        type: import("vue").PropType<boolean>;
    };
    targetPosition: {
        type: import("vue").PropType<Position>;
    } & {
        default: Position;
    };
    sourcePosition: {
        type: import("vue").PropType<Position>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    isValidTargetPos: {
        type: import("vue").PropType<import("../../types").ValidConnectionFunc>;
    };
    isValidSourcePos: {
        type: import("vue").PropType<import("../../types").ValidConnectionFunc>;
    };
    parentNode: {
        type: import("vue").PropType<any>;
    };
    isParent: {
        type: import("vue").PropType<boolean>;
    };
    children: {
        type: import("vue").PropType<import("../../types").Node<any>[]>;
    };
    nodeElement: {
        type: import("vue").PropType<HTMLDivElement>;
        required: true;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    dimensions?: unknown;
    handleBounds?: unknown;
    computedPosition?: unknown;
    position?: unknown;
    draggable?: unknown;
    selectable?: unknown;
    connectable?: unknown;
    label?: unknown;
    class?: unknown;
    style?: unknown;
    hidden?: unknown;
    type?: unknown;
    data?: unknown;
    selected?: unknown;
    targetPosition?: unknown;
    sourcePosition?: unknown;
    dragging?: unknown;
    isValidTargetPos?: unknown;
    isValidSourcePos?: unknown;
    parentNode?: unknown;
    isParent?: unknown;
    children?: unknown;
    nodeElement?: unknown;
} & {
    id: string;
    dimensions: import("../../types").Dimensions;
    handleBounds: import("../../types").HandleBounds;
    computedPosition: import("../../types").XYZPosition;
    position: import("../../types").XYPosition;
    connectable: boolean;
    data: void;
    targetPosition: Position;
    nodeElement: HTMLDivElement;
} & {
    draggable?: boolean | undefined;
    selectable?: boolean | undefined;
    label?: string | {
        props?: any;
        component: any;
    } | undefined;
    class?: string | undefined;
    style?: import("vue").CSSProperties | undefined;
    hidden?: boolean | undefined;
    type?: string | undefined;
    selected?: boolean | undefined;
    sourcePosition?: Position | undefined;
    dragging?: boolean | undefined;
    isValidTargetPos?: import("../../types").ValidConnectionFunc | undefined;
    isValidSourcePos?: import("../../types").ValidConnectionFunc | undefined;
    parentNode?: unknown;
    isParent?: boolean | undefined;
    children?: import("../../types").Node<any>[] | undefined;
}>, {
    connectable: boolean;
    data: void;
    targetPosition: Position;
}>;
export default _default;
