import { CreatePositionChangeParams, EdgeChange, FlowElement, FlowElements, GraphNode, NodeChange, NodeDimensionChange, SelectionChange } from "../types";
export declare const applyChanges: <T extends FlowElement<any, any> = GraphNode<any>, C extends NodeChange = T extends GraphNode<any> ? NodeChange : EdgeChange>(changes: C[], elements: T[]) => T[];
export declare const createSelectionChange: (id: string, selected: boolean) => SelectionChange;
export declare const createPositionChange: ({ node, diff, dragging, nodeExtent }: CreatePositionChangeParams) => NodeDimensionChange;
export declare const getSelectionChanges: (items: FlowElements<any, any>, selectedIds: string[]) => import("../types").NodeSelectionChange[];
